Get workspace
curl --request GET \
--url https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"workspace": {
"workspaceId": "16a8d98f-70b1-45c7-aba0-c638be37a1f2",
"name": "Acme Growth",
"logoUrl": null,
"ownerName": "Dana Whitfield",
"role": "owner",
"permissions": null,
"subscription": {
"plan": "growth",
"accounts": 5,
"cycle": "monthly",
"startedAt": "2026-10-01T00:00:00.000Z",
"expiresAt": "2026-11-01T00:00:00.000Z",
"autoRenew": true,
"renewsAt": "2026-11-01T00:00:00.000Z"
},
"lock": null
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Workspaces
Get workspace
Returns one workspace with its plan.
GET
/
workspace
/
info
/
{workspaceId}
Get workspace
curl --request GET \
--url https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/workspace/info/{workspaceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"workspace": {
"workspaceId": "16a8d98f-70b1-45c7-aba0-c638be37a1f2",
"name": "Acme Growth",
"logoUrl": null,
"ownerName": "Dana Whitfield",
"role": "owner",
"permissions": null,
"subscription": {
"plan": "growth",
"accounts": 5,
"cycle": "monthly",
"startedAt": "2026-10-01T00:00:00.000Z",
"expiresAt": "2026-11-01T00:00:00.000Z",
"autoRenew": true,
"renewsAt": "2026-11-01T00:00:00.000Z"
},
"lock": null
}
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The workspace ID. Use activeId from List workspaces.